Show / Hide Table of Contents

# Class OkResponse

The http 200 Ok response.

##### Inheritance

Object
RequestResponseBase
Response
OkResponse

##### Inherited Members

Response.StatusCode
Response.StatusDescription
Response.HasBody
Response.KeepAlive
Response.HeaderText
RequestResponseBase.BodyInternal
RequestResponseBase.KeepBody
RequestResponseBase.HttpVersion
RequestResponseBase.Headers
RequestResponseBase.ContentLength
RequestResponseBase.ContentEncoding
RequestResponseBase.Encoding
RequestResponseBase.ContentType
RequestResponseBase.IsChunked
RequestResponseBase.Body
RequestResponseBase.BodyString
RequestResponseBase.IsBodyRead
RequestResponseBase.ToString()
Object.Equals(Object)
Object.Equals(Object, Object)
Object.GetHashCode()
Object.GetType()
Object.MemberwiseClone()
Object.ReferenceEquals(Object, Object)

###### Namespace: Titanium.Web.Proxy.Http.Responses

###### Assembly: Titanium.Web.Proxy.dll

##### Syntax

    public sealed class OkResponse : Response

### Constructors

| Improve this Doc View Source

#### OkResponse()

Constructor.

##### Declaration

    public OkResponse()

| Improve this Doc View Source

#### OkResponse(Byte[])

Constructor.

##### Declaration

    public OkResponse(byte[] body)

##### Parameters

Type | Name | Description
--- | --- | ---
Byte[] | body |